// AddNumbers.cpp : Takes two numbers and adds them together, then
// returns the result back to the JavaScript world.

#ifdef _WIN32   // Windows
#include "windows.h"
#else           // Mac
#include <MacHeaders.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif
#include "mm_jsapi.h"
#ifdef __cplusplus
}
#endif

MM_STATE

void
MM_Init( void )
{
  JS_DefineFunction( "addTwoNumbers", addTwoNumbers, 2);
}

JSBool addTwoNumbers ( JSContext* cx, JSObject* obj, unsigned int , jsval* jsArgv, jsval* rval )
{
  int firstNumber;
  int secondNumber;
  int result;

  // Get the arguments from JavaScript and convert them to C
  // data types.
  JS_ValueToInteger(cx, jsArgv[0], &firstNumber);
  JS_ValueToInteger(cx, jsArgv[1], &secondNumber);
  
  // Add them together
  result = firstNumber + secondNumber;

  // Convert the result to a JavaScript value and return it
  *rval = JS_IntegerToValue( result );

  return JS_TRUE;
}
